package heap;

// The heapsort algorithm - class IntNode.
// This implementation is modeled after the courseware Heapsort-SALA.
// http://OLLI.Informatik.Uni-Oldenburg.DE/heapsort_SALA/
// It is optimized for easy understanding and not for efficiency.
// (c) 2001 Nils Faltin. Distributed under the GNU General Public License. 
// The license text ist contained in the courseware distribution.

// used by class HeapArray
// a Node as stored in the heaptree or the result list
class IntNode extends Node{
  public int key; // sorting key
  // place satellite data here
  
  public IntNode(int key){
    this.key = key;
  }
  
  public boolean isGreaterThan(Node b){
    return key > ((IntNode)b).key;
  }
  
  public String toString(){
    return String.valueOf(key);
  }
}
